Bug 118952 - quotacheck sets quota file permissions which don't let users check their usage
quotacheck sets quota file permissions which don't let users check their usage
Status: CLOSED WORKSFORME
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: quota (Show other bugs)
3.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Amit Gud
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-03-22 23:04 EST by Mike MacCana
Modified: 2007-11-30 17:07 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-07-28 12:48:34 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mike MacCana 2004-03-22 23:04:51 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6)
Gecko/20040211 Firefox/0.8

Description of problem:
quotacheck, when used to create quota files, seems to create quota
files  that are only readable by the root user (regardless of root's
umask). Unless permissions are explicitly changed to make the  quota
file world readable, then users will not be able to run the 'quota'
command to check their own usage.

I tech RHCEs for Red Hat, and have noticed that our courseware
instructs users to create the file using touch first. This wouldn't be
necessaery if quotacheck created the file with correct permissions.




Version-Release number of selected component (if applicable):
quota-3.09-1

How reproducible:
Always

Steps to Reproduce:
1.Create a quota file using quotacheck as root
2.Switch to an unprivileged user. 
3.Check the quota using the quota command.
    

Actual Results:  An error message saying that the quota file isn't
readable

Expected Results:  The quotafile should have been created with
permissions to allow users to check their quotas (ie, world readable).

Additional info:

Note You need to log in before you can comment on or make changes to this bug.